# AmoebaPiTorsionForce Class Reference

This class implements the Amoeba pi-torsion interaction. More...

Inheritance diagram for AmoebaPiTorsionForce:

List of all members.

## Public Member Functions

def | getNumPiTorsions
| getNumPiTorsions(self) -> int
def | addPiTorsion
| addPiTorsion(self, int particle1, int particle2, int particle3, int particle4, int particle5, int particle6, double k) -> int
def | getPiTorsionParameters
| getPiTorsionParameters(self, int index)
def | setPiTorsionParameters
| setPiTorsionParameters(self, int index, int particle1, int particle2, int particle3, int particle4, int particle5, int particle6, double k)
def | updateParametersInContext
| updateParametersInContext(self, Context context)
def | __init__
| __init__(self) -> AmoebaPiTorsionForce __init__(self, AmoebaPiTorsionForce other) -> AmoebaPiTorsionForce
def | __del__
| __del__(self)

## Public Attributes

| this

## Detailed Description

This class implements the Amoeba pi-torsion interaction.

To use it, create an AmoebaPiTorsionForce object then call addPiTorsion() once for each torsion. After a torsion has been added, you can modify its force field parameters by calling setPiTorsionParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(self)

Reimplemented from Force.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(self) -> AmoebaPiTorsionForce __init__(self, AmoebaPiTorsionForce other) -> AmoebaPiTorsionForce

Create an AmoebaPiTorsionForce.

def addPiTorsion | ( |  | self,
|  |  | args |
| ) |  |  |

addPiTorsion(self, int particle1, int particle2, int particle3, int particle4, int particle5, int particle6, double k) -> int

Add a torsion term to the force field.

Parameters:

  | particle1 | the index of the first particle connected by the torsion
  | particle2 | the index of the second particle connected by the torsion
  | particle3 | the index of the third particle connected by the torsion
  | particle4 | the index of the fourth particle connected by the torsion
  | particle5 | the index of the fifth particle connected by the torsion
  | particle6 | the index of the sixth particle connected by the torsion
  | k | the force constant for the torsion

def getNumPiTorsions | ( |  | self | ) |

getNumPiTorsions(self) -> int

Get the number of pi torsion terms in the potential function

def getPiTorsionParameters | ( |  | self,
|  |  | args |
| ) |  |  |

getPiTorsionParameters(self, int index)

Get the force field parameters for a torsion term.

Parameters:

  | index | the index of the torsion for which to get parameters
  | particle1 | the index of the first particle connected by the torsion
  | particle2 | the index of the second particle connected by the torsion
  | particle3 | the index of the third particle connected by the torsion
  | particle4 | the index of the fourth particle connected by the torsion
  | particle5 | the index of the fifth particle connected by the torsion
  | particle6 | the index of the sixth particle connected by the torsion
  | k | the force constant for the torsion

def setPiTorsionParameters | ( |  | self,
|  |  | args |
| ) |  |  |

setPiTorsionParameters(self, int index, int particle1, int particle2, int particle3, int particle4, int particle5, int particle6, double k)

Set the force field parameters for a pi torsion term.

Parameters:

  | index | the index of the torsion for which to set parameters
  | particle1 | the index of the first particle connected by the torsion
  | particle2 | the index of the second particle connected by the torsion
  | particle3 | the index of the third particle connected by the torsion
  | particle4 | the index of the fourth particle connected by the torsion
  | particle5 | the index of the fifth particle connected by the torsion
  | particle6 | the index of the sixth particle connected by the torsion
  | k | the force constant for the torsion

def updateParametersInContext | ( |  | self,
|  |  | args |
| ) |  |  |

updateParametersInContext(self, Context context)

Update the per-torsion parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setPiTorsionParameters() to modify this object's parameters, then call updateParametersInState() to copy them over to the Context.

The only information this method updates is the values of per-torsion parameters. The set of particles involved in a torsion cannot be changed, nor can new torsions be added.

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py